2010-08-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl/ChangeSet.cs:
	* MonoDevelop.VersionControl/ChangeLogWriter.cs:
	* MonoDevelop.VersionControl.Dialogs/CommitDialog.cs:
	* MonoDevelop.VersionControl/VersionControlService.cs:
	* MonoDevelop.VersionControl.Dialogs/VersionControlPolicyPanel.cs:
	* MonoDevelop.VersionControl.Dialogs/CommitMessageStylePanelWidget.cs:
	  Track api changes.

	* MonoDevelop.VersionControl/CreatePatchCommand.cs: Ignore
	  extensions which failed to initialize.

2010-07-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl/Repository.cs:
	* MonoDevelop.VersionControl.Views/BlameWidget.cs: Annotations
	  now use a DateTime instead of a String to represent the
	  commit date.

	* MonoDevelop.VersionControl.Views/ComparisonWidget.cs:
	  Provide the correct path to GetTextAtRevision.

2010-07-28  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic:
	* MonoDevelop.VersionControl.Dialogs/CommitDialog.cs:
	* gtk-gui/MonoDevelop.VersionControl.Dialogs.CommitDialog.cs:
	  Improved look. Show separators between extension widgets.

	* MonoDevelop.VersionControl/CommitDialogExtension.cs: The
	  Initialize method now can return a boolean indicating
	  whether the extension is enabled or not. Added some
	  comments.

2010-07-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Dialogs/CommitDialog.cs: Focus
	  the text view and move the insert point to the begining.
	  Makes it easier to insert a comment header.

	* MonoDevelop.VersionControl/ChangeLogWriter.cs:
	* MonoDevelop.VersionControl/CommitMessageFormat.cs:
	* MonoDevelop.VersionControl/VersionControlService.cs: Added
	  option which allows omiting the file list in the commit
	  message when all files have the same comment.

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.VersionControl.Dialogs.CommitDialog.cs:
	  Add some mnemonics.

2010-07-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl/Repository.cs: Remove debug code.

2010-07-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Views/ChangeSetView.cs: Add
	  missing file.

2010-07-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl/VersionControlNodeExtension.cs:
	  Remove debug output.

2010-07-27  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.VersionControl.csproj:
	* MonoDevelop.VersionControl/ChangeSet.cs: New reusable widget
	  for showing change sets.

2010-07-27  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl/Repository.cs:
	* MonoDevelop.VersionControl.Views/DiffView.cs:
	* MonoDevelop.VersionControl/UnknownRepository.cs:
	* MonoDevelop.VersionControl.Views/ComparisonView.cs:
	* MonoDevelop.VersionControl.Views/ComparisonWidget.cs:
	* MonoDevelop.VersionControl/VersionControlNodeExtension.cs:
	  Add basic support for git.

2010-07-22  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/BlameView.cs:
	* MonoDevelop.VersionControl.Views/ComparisonView.cs: Use
	  delegation methods.

2010-07-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/LogView.cs:
	* MonoDevelop.VersionControl.Views/BlameWidget.cs:
	* MonoDevelop.VersionControl.Views/ComparisonWidget.cs: Worked
	  on version control views.

2010-07-18  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/BlameView.cs:
	* MonoDevelop.VersionControl.Views/BlameWidget.cs:
	* MonoDevelop.VersionControl.Views/PatchWidget.cs:
	* MonoDevelop.VersionControl.Views/ComparisonView.cs:
	* MonoDevelop.VersionControl.Views/ComparisonWidget.cs: Track
	  API changes.

2010-07-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/ComparisonWidget.cs: Worked
	  on adjustments. (text editors no longer share a common
	  adjustment - instead they communicate)

2010-07-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/ComparisonWidget.cs: Fixed
	  the overview renderer click position.

2010-07-14  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/BlameWidget.cs:
	* MonoDevelop.VersionControl.Views/ComparisonWidget.cs: Caret
	  state is now shown.

2010-07-12  Michael Hutchinson  <mhutchinson@novell.com>

	* VersionControl.addin.xml:
	* MonoDevelop.VersionControl.Views/DiffParser.cs: Track
	  ProjectDomService/Parser API.

2010-07-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/DropDownBox.cs: fixed some
	  drop down box issues.

2010-07-08  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/DropDownBox.cs:
	* MonoDevelop.VersionControl.Views/BlameWidget.cs:
	* MonoDevelop.VersionControl.Views/ComparisonView.cs:
	* MonoDevelop.VersionControl.Views/ComparisonWidget.cs: Worked
	  on version control gui.

2010-07-07  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* MonoDevelop.VersionControl.csproj:
	* MonoDevelop.VersionControl.Views/DropDownBox.cs:
	* MonoDevelop.VersionControl.Views/ComparisonWidget.cs: Added
	  drop down box for the version control views (TODO:
	  Selector).

2010-07-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/ComparisonWidget.cs: Fixed
	  error in calculation.

2010-07-07  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/BlameWidget.cs:
	* MonoDevelop.VersionControl.Views/ComparisonWidget.cs:
	  Improved the visualization of the change-diff - it's now
	  easier to see what has changed when only a part of the line
	  changed.

2010-07-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/ComparisonView.cs:
	* MonoDevelop.VersionControl.Views/ComparisonWidget.cs:
	  Undo/Redo now works in comparison view.

2010-07-06  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/BlameWidget.cs: Added
	  bounds check.

2010-07-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/BlameWidget.cs: set correct
	  bounds.

2010-07-05  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/BlameWidget.cs: Added range
	  check.

2010-07-01  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/BlameView.cs:
	* MonoDevelop.VersionControl.Views/ComparisonView.cs:
	* MonoDevelop.VersionControl.Views/ComparisonWidget.cs: Worked
	  on version control views.

2010-06-30  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.VersionControl.csproj:
	* MonoDevelop.VersionControl.Views/LogView.cs:
	* MonoDevelop.VersionControl.Views/PatchView.cs:
	* MonoDevelop.VersionControl.Views/BlameView.cs:
	* MonoDevelop.VersionControl.Views/PatchWidget.cs:
	* MonoDevelop.VersionControl.Views/BlameWidget.cs:
	* MonoDevelop.VersionControl.Views/ComparisonView.cs:
	* MonoDevelop.VersionControl.Views/ComparisonWidget.cs:
	* gtk-gui/MonoDevelop.VersionControl.Views.PatchWidget.cs:
	* MonoDevelop.VersionControl.Views/ComparisonWidgetContainer.cs:
	* gtk-gui/MonoDevelop.VersionControl.Views.ComparisonWidgetContainer.cs:
	  Worked on version control gui.

2010-06-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/BlameWidget.cs: Worked on
	  blame widget.

2010-06-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/BlameWidget.cs: Worked on
	  blame widget.

2010-06-30  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/LogView.cs:
	* MonoDevelop.VersionControl.Views/BlameView.cs:
	* MonoDevelop.VersionControl.Views/ComparisonView.cs:
	* MonoDevelop.VersionControl/VersionControlNodeExtension.cs:
	  Worked on version control GUI.

2010-06-29  Mike Krüger  <mkrueger@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* VersionControl.addin.xml:
	* MonoDevelop.VersionControl.csproj:
	* MonoDevelop.VersionControl/Repository.cs:
	* MonoDevelop.VersionControl.Views/LogView.cs:
	* MonoDevelop.VersionControl/AnnotateCommand.cs:
	* MonoDevelop.VersionControl.Views/BlameView.cs:
	* MonoDevelop.VersionControl/UnknownRepository.cs:
	* MonoDevelop.VersionControl.Views/BlameWidget.cs:
	* MonoDevelop.VersionControl.Views/AnnotateView.cs:
	* MonoDevelop.VersionControl.Views/ComparisonView.cs:
	* MonoDevelop.VersionControl/VersionControlService.cs:
	* MonoDevelop.VersionControl.Views/ComparisonWidget.cs:
	* MonoDevelop.VersionControl/VersionControlNodeExtension.cs:
	* MonoDevelop.VersionControl.Views/ComparisonWidgetContainer.cs:
	* gtk-gui/MonoDevelop.VersionControl.Views.ComparisonWidgetContainer.cs:
	  Worked on version control gui.

2010-06-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.VersionControl/Task.cs: Don't bring the VCS
	  monitor to the front.

2010-06-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/AnnotateView.cs: Fixed 'Bug
	  610257 - Text editor does not redraw after toggling
	  annotations'.

2010-06-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Views/AnnotateView.cs: Fix bug
	  #610262 - After hiding annotations they still refresh on
	  save.

2010-05-31  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/AnnotateView.cs: Added
	  missing string to translation.

2010-05-31  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/AnnotateView.cs: Fixed 'Bug
	  610257 - Text editor does not redraw after toggling
	  annotations'.

2010-05-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl/CommitCommand.cs:
	* MonoDevelop.VersionControl/PublishCommand.cs:
	* MonoDevelop.VersionControl/CheckoutCommand.cs:
	* MonoDevelop.VersionControl.Dialogs/SelectRepositoryDialog.cs:
	  Fix incorrect use of ShowCustomDialog/RunCustomDialog.

2010-05-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.VersionControl/CommitCommand.cs:
	* MonoDevelop.VersionControl/PublishCommand.cs:
	* MonoDevelop.VersionControl/CheckoutCommand.cs:
	* MonoDevelop.VersionControl.Dialogs/SelectRepositoryDialog.cs:
	  More dialog placing.

2010-05-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Views/AnnotateView.cs: Show a
	  status message while getting annotations.

2010-05-10  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/AnnotateView.cs: Track API
	  changes.

2010-05-03  Lluis Sanchez Gual  <lluis@novell.com>

	* Policies.xml: Added attribute to explicitly allow
	  differential serialization for a policy (which is disabled
	  by default).

2010-04-22  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.VersionControl/BaseView.cs:
	* MonoDevelop.VersionControl.Views/StatusView.cs: Use icon.

2010-04-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl/ChangeSet.cs:
	* MonoDevelop.VersionControl.Views/StatusView.cs: After
	  updating status, remove from the changeset the files/folders
	  which have been deleted. Fixes bug #582514 - VCS status view
	  sometimes has hidden invalid items that obstruct commit.

2010-04-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Views/StatusView.cs: Don't show
	  an output pad when updating the status view.

	* MonoDevelop.VersionControl/Task.cs:
	* MonoDevelop.VersionControl/LockCommand.cs:
	* MonoDevelop.VersionControl/UnlockCommand.cs:
	* MonoDevelop.VersionControl/UpdateCommand.cs:
	* MonoDevelop.VersionControl/CommitCommand.cs:
	* MonoDevelop.VersionControl/RevertCommand.cs:
	* MonoDevelop.VersionControl/PublishCommand.cs:
	* MonoDevelop.VersionControl/CheckoutCommand.cs:
	* MonoDevelop.VersionControl/AddRemoveMoveCommand.cs:
	* MonoDevelop.VersionControl/RevertRevisionsCommands.cs:
	  Improve success message. Small api simplification.

2010-03-23  Lluis Sanchez Gual  <lluis@novell.com>

	* VersionControl.addin.xml: Register data files.

2010-03-22  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* VersionControl.addin.xml: Bumped MD version.

2010-03-17  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* VersionControl.addin.xml:
	* MonoDevelop.VersionControl.csproj:
	* MonoDevelop.VersionControl/Task.cs:
	* MonoDevelop.VersionControl/BaseView.cs:
	* MonoDevelop.VersionControl/UpdateCommand.cs:
	* MonoDevelop.VersionControl/CommitCommand.cs:
	* MonoDevelop.VersionControl/RevertCommand.cs:
	* MonoDevelop.VersionControl.Views/LogView.cs:
	* MonoDevelop.VersionControl/PublishCommand.cs:
	* MonoDevelop.VersionControl.Views/DiffView.cs:
	* MonoDevelop.VersionControl/AnnotateCommand.cs:
	* MonoDevelop.VersionControl/CheckoutCommand.cs:
	* MonoDevelop.VersionControl.Views/StatusView.cs:
	* MonoDevelop.VersionControl/CreatePatchCommand.cs:
	* MonoDevelop.VersionControl.Views/AnnotateView.cs:
	* MonoDevelop.VersionControl/AddRemoveMoveCommand.cs:
	* MonoDevelop.VersionControl.Dialogs/CommitDialog.cs:
	* MonoDevelop.VersionControl/VersionControlService.cs:
	* MonoDevelop.VersionControl.Views/CellRendererDiff.cs:
	* MonoDevelop.VersionControl/RevertRevisionsCommands.cs:
	* MonoDevelop.VersionControl/VersionControlNodeExtension.cs:
	* MonoDevelop.VersionControl.Dialogs/VersionControlPolicyPanel.cs:
	* MonoDevelop.VersionControl/VersionControlFileSystemExtension.cs:
	* MonoDevelop.VersionControl.Dialogs/CommitMessageStylePanelWidget.cs:
	  Merged MD.Projects into MD.Core, and MD.Projects.Gui,
	  MD.Core.Gui and MD.Components into MD.Ide.

2010-03-08  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* version-control-16.png:
	* VersionControl.addin.xml:
	* MonoDevelop.VersionControl.csproj:
	* MonoDevelop.VersionControl/Task.cs: Added version control
	  icon.

	* MonoDevelop.VersionControl/VersionControlNodeExtension.cs:
	  Fix type reference ambiguity.

2010-03-03  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/AnnotateView.cs: fix build.

2010-02-23  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* VersionControl.addin.xml:
	* MonoDevelop.VersionControl.csproj:
	* MonoDevelop.VersionControl.Views/DiffView.cs: Track moved
	  diff component.

2010-02-18  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Views/LogView.cs:
	* MonoDevelop.VersionControl.Views/StatusView.cs:
	* MonoDevelop.VersionControl.Dialogs/CommitDialog.cs: Track
	  api changes.

2010-02-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Views/StatusView.cs: Fix parsing
	  of command id. We are not using enums as ids anymore.

2010-02-12  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* VersionControl.addin.xml:
	* MonoDevelop.VersionControl.csproj: Move the icon resources
	  into files, which can be loaded without loading the whole
	  add-in.

2010-02-10  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Makefile.am:
	* VersionControl.addin.xml:
	* MonoDevelop.VersionControl.csproj:
	* MonoDevelop.VersionControl.Views/DiffParser.cs: Add
	  quickfinder and folding support for unified diffs.

2010-02-09  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/LogView.cs:
	* MonoDevelop.VersionControl.Views/StatusView.cs:
	* MonoDevelop.VersionControl.Dialogs/CommitDialog.cs: Track
	  API changes for lazy loading images.

2010-02-04  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.VersionControl.Views/LogView.cs: Allow viewing
	  of historical, recursive directory diffs.

	* MonoDevelop.VersionControl/Repository.cs: Add support for
	  revision-range-based recursive diffing.

2010-02-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.VersionControl.csproj: Add indirect reference.

2010-01-28  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* gtk-gui/MonoDevelop.VersionControl.Dialogs.CommitDialog.cs:
	* gtk-gui/MonoDevelop.VersionControl.UrlBasedRepositoryEditor.cs:
	* gtk-gui/MonoDevelop.VersionControl.Dialogs.EditRepositoryDialog.cs:
	* gtk-gui/MonoDevelop.VersionControl.CommitMessageStylePanelWidget.cs:
	* gtk-gui/MonoDevelop.VersionControl.Dialogs.SelectRepositoryDialog.cs:
	  Flush.

2009-12-09  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.VersionControl.Views/StatusView.cs: Track the
	  last mouse cursor position on a child cell in the widget,
	  and clear when the cursor leaves. The cellrenderer can use
	  this an an accurate source of information whether the
	  pointer is still on this widget and where it is.

	* MonoDevelop.VersionControl.Views/CellRendererDiff.cs: Don't
	  pick up the global cursor position, since it may just be an
	  expose from a window being dragged over. Instead, use the
	  cursor position from the parent FileTreeView.

2009-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.VersionControl/Task.cs:
	* MonoDevelop.VersionControl.Views/StatusView.cs:
	* MonoDevelop.VersionControl.Dialogs/SelectRepositoryDialog.cs:
	  Name threads to make debugging easier.

2009-11-24  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/AnnotateView.cs: Track API
	  changes.

2009-11-20  Lluis Sanchez Gual  <lluis@novell.com>

	* VersionControl.addin.xml: Move the annotate command to a
	  more convenient location in the context menu.

2009-11-19  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.VersionControl.Views/AnnotateView.cs: Show
	  commit message on mouseover. Implements #545521.

2009-11-13  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Views/StatusView.cs: Fix sort by
	  file name.

2009-11-11  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.VersionControl/CreatePatchCommand.cs: Allow
	  patches for multiselected items in the solution pad.

2009-10-30  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* VersionControl.addin.xml: Bump MD version.

2009-10-29  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/generated.cs:
	* MonoDevelop.VersionControl.csproj:
	* gtk-gui/MonoDevelop.VersionControl.Dialogs.CommitDialog.cs:
	* gtk-gui/MonoDevelop.VersionControl.UrlBasedRepositoryEditor.cs:
	* gtk-gui/MonoDevelop.VersionControl.Dialogs.EditRepositoryDialog.cs:
	* gtk-gui/MonoDevelop.VersionControl.CommitMessageStylePanelWidget.cs:
	* gtk-gui/MonoDevelop.VersionControl.Dialogs.SelectRepositoryDialog.cs:
	  Flush.

2009-10-16  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl/VersionControlService.cs: Handled
	  icon loading errors.

2009-10-08  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.VersionControl.csproj: Use \ instead of '/'
	in the Import.

2009-10-08  Ankit Jain  <jankit@novell.com>

	* MonoDevelop.VersionControl.csproj: Add md.targets .

2009-10-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.VersionControl.Views/StatusView.cs: Construct
	  Refresh and Open buttons explicitly to work around Mac GTK+
	  issue with stock buttons.

2009-10-07  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.VersionControl.Views/AnnotateView.cs: Only
	  update width in the GUI thread.

2009-10-07  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.VersionControl.Views/AnnotateView.cs: Do
	  whole-file updates asynchronously.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* VersionControl.addin.xml: Update license.

2009-10-07  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* VersionControl.addin.xml: Bump MD version.

2009-10-06  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.VersionControl.Views/AnnotateView.cs: Update
	  annotations on revert.

2009-10-06  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.VersionControl.Views/AnnotateView.cs: Update
	  annotation margin while editing.

2009-10-06  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.VersionControl.Views/AnnotateView.cs: Fix
	  exception when reverting with annotations visible.

2009-09-09  Christian Hergert  <chris@dronelabs.com>

	* MonoDevelop.VersionControl.Dialogs/SelectRepositoryDialog.cs: 
	* MonoDevelop.VersionControl/CommitCommand.cs: 
	* MonoDevelop.VersionControl/PublishCommand.cs: 
	* MonoDevelop.VersionControl/CheckoutCommand.cs: Set dialogs
	  transient for the root window.

2009-09-01  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl/CommitCommand.cs: Show an error
	  message when trying to commit a directory which has no
	  changes. Fixes bug #517699 - Monodevelop crash when
	  submitting to SVN.

2009-08-27  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/StatusView.cs: fixed
	  warning.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/gui.stetic: Update gtk# dependency.

2009-08-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.csproj: Updated dependencies. We
	  now depend on gtk# 2.12.8, Mono 2.4, and Mono.Addins 0.4.

2009-08-10  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.csproj: Don't make local copies
	  of project references.

2009-07-31  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* gtk-gui/gui.stetic:
	* MonoDevelop.VersionControl.csproj: Flush.

2009-07-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Views/StatusView.cs:
	* MonoDevelop.VersionControl.Views/CellRendererDiff.cs: The
	  status view now supports double clicking on a line of a diff
	  to jump to that line in the modified file.

2009-07-21  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/StatusView.cs:
	* MonoDevelop.VersionControl.Views/CellRendererDiff.cs: Fixed
	  "Bug 470436 - Crash when using the mouse wheel to scroll
	  very fast on the diff viewer".

2009-06-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl/Repository.cs: Properly detect
	  versioned directories. Allow reverting whole directories.
	  All this fixes bug #436282 - solution/project/folders should
	  have 'Revert All' option.

2009-06-29  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Views/StatusView.cs: When
	  double-clicking on a file, open it. Fixes bug #402108 -
	  Double-click on item in the Review changes dialog should
	  open the file or show the differences.

2009-06-25  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.VersionControl/CreatePatchCommand.cs: 
	  Generate better initial names for created patches.

2009-06-23  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* VersionControl.addin.xml:
	  Add "Create Patch" to status view context menu.

2009-06-23  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Views/LogView.cs:
	* MonoDevelop.VersionControl.Views/DiffView.cs:
	* MonoDevelop.VersionControl.Views/StatusView.cs:
	* MonoDevelop.VersionControl.Views/CellRendererDiff.cs:
	* MonoDevelop.VersionControl.Dialogs/CommitMessageStylePanelWidget.cs:
	  Use the new DesktopService instead of PlatformService.

2009-06-16  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Views/StatusView.cs: Use
	  CreatePatchCommand to create the patch.

	* MonoDevelop.VersionControl/CreatePatchCommand.cs: Include
	  commit extensions in the generation of the patch, so
	  generated changelog entries are included.

	* MonoDevelop.VersionControl/Repository.cs: Convert absolute
	  paths to relative paths when a base path for the diff is
	  specified. Include patch index info when generating a patch.

2009-06-15  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Makefile.am:
	* VersionControl.addin.xml:
	* MonoDevelop.VersionControl.csproj:
	* MonoDevelop.VersionControl/Commands.cs:
	* MonoDevelop.VersionControl/Repository.cs:
	* MonoDevelop.VersionControl/CreatePatchCommand.cs:
	* MonoDevelop.VersionControl/VersionControlNodeExtension.cs:
	* MonoDevelop.VersionControl.Views/StatusView.cs:
	  Added "CreatePatch" command.

2009-06-05  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.VersionControl/Repository.cs:
	  Unbreak SharpSvn addin build.

2009-06-05  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* MonoDevelop.VersionControl.Views/AnnotateView.cs:
	  Draw background for area after end of annotations.

2009-06-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am: Fix build by adding reference to Mono.Debugging.

2009-06-02  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* MonoDevelop.VersionControl.csproj: Add reference to
	  DesignerSupport addin.

2009-06-01  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* Makefile.am:
	* MonoDevelop.VersionControl.csproj:
	* MonoDevelop.VersionControl/Commands.cs:
	* MonoDevelop.VersionControl/Repository.cs:
	* MonoDevelop.VersionControl/UnknownRepository.cs:
	* MonoDevelop.VersionControl/VersionControlNodeExtension.cs:
	* MonoDevelop.VersionControl/AnnotateCommand.cs:
	* MonoDevelop.VersionControl.Views/AnnotateView.cs:
	* VersionControl.addin.xml: Added "Annotate" command.

2009-05-20  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl/VersionControlNodeExtension.cs:
	  Use the new FilePath class.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl\CommitCommand.cs:
	* MonoDevelop.VersionControl\FileUpdateEventHandler.cs: Track
	  api changes.

	* MonoDevelop.VersionControl\VersionControlService.cs: Looks
	  like when deserializing, MS.NET can't resolve assemblies
	  which are not in the main assembly dir, even if those
	  assemblies are already loaded. Added a resolver which
	  handles this case.

2009-05-19  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl\ChangeSet.cs:
	* MonoDevelop.VersionControl\Repository.cs:
	* MonoDevelop.VersionControl\VersionInfo.cs:
	* MonoDevelop.VersionControl\PublishCommand.cs:
	* MonoDevelop.VersionControl.Views\StatusView.cs:
	* MonoDevelop.VersionControl\UnknownRepository.cs:
	* MonoDevelop.VersionControl\VersionControlItem.cs:
	* MonoDevelop.VersionControl.Dialogs\CommitDialog.cs:
	* MonoDevelop.VersionControl\VersionControlSystem.cs:
	* MonoDevelop.VersionControl\VersionControlItemList.cs: Use
	  the new FilePath class for handling file and directory
	  paths.

2009-04-28  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl/VersionControlNodeExtension.cs:
	* MonoDevelop.VersionControl/VersionControlCommandHandler.cs:
	  Added ParentWorkspaceObject to SystemFile and ProjectFolder,
	  which replaces the old Project property. It is required
	  because now it is possible to show hiddem folders and files
	  as children of a solution.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/LogView.cs:
	* MonoDevelop.VersionControl.Views/StatusView.cs:
	* MonoDevelop.VersionControl/VersionControlService.cs: Renamed
	  PixbufService to ImageService.

2009-04-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/LogView.cs:
	* MonoDevelop.VersionControl.Views/StatusView.cs:
	* MonoDevelop.VersionControl/VersionControlService.cs: Track
	  API changes.

2009-04-17  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/LogView.cs:
	* MonoDevelop.VersionControl.Views/StatusView.cs: Removed icon
	  service.

2009-04-15  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* VersionControl.addin.xml: Bump MD version.

2009-03-04  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/StatusView.cs: Added
	  missing translation string.

2009-02-28  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.VersionControl.csproj: Flush.

2009-02-27  Levi Bard  <taktaktaktaktaktaktaktaktaktak@gmail.com>

	* menu_resolve.png:
	* Makefile.am:
	* MonoDevelop.VersionControl.csproj:
	* VersionControl.addin.xml: Add "Resolve" menu icon.

2009-02-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.VersionControl.Dialogs/SelectRepositoryDialog.cs:
	  Translation fixes. Patch from Kriván Bálint.

2009-02-26  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl/VersionControlNodeExtension.cs:
	  Add missing null check.

2009-02-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/CellRendererDiff.cs:
	  Changed override Destroy --> override OnDestroyed.

2009-02-25  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/LogView.cs:
	* MonoDevelop.VersionControl.Views/DiffView.cs:
	* MonoDevelop.VersionControl.Views/StatusView.cs:
	* MonoDevelop.VersionControl.Views/CellRendererDiff.cs: Worked
	  on ressource de-allocation.

2009-02-23  Lluis Sanchez Gual  <lluis@novell.com>

	* VersionControl.addin.xml: Track merge of the project pad
	  context menu.

2009-02-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/CellRendererDiff.cs:
	  Correcty override member.

2009-02-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/DiffView.cs: diff widget
	  now gets disposed.

2009-02-20  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/StatusView.cs:
	* MonoDevelop.VersionControl.Views/CellRendererDiff.cs: Fixed
	  "Bug 455892 - Crash when closing tabs".

2009-02-19  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl.Views/StatusView.cs: Added some
	  strings to translation.

2009-02-07  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.VersionControl.csproj: Don't local-copy other
	  addins' dlls.

2009-02-06  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.mdp:
	* MonoDevelop.VersionControl.csproj: Migrated to MSBuild file
	  format.

2009-02-04  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl/ChangeLogWriter.cs: Use the new
	  TextFormatter class.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* AssemblyInfo.cs:
	* VersionControl.addin.xml: Bump MD version.

2009-02-03  Lluis Sanchez Gual  <lluis@novell.com>

	* gtk-gui/MonoDevelop.VersionControl.Dialogs.CommitDialog.cs:
	* gtk-gui/MonoDevelop.VersionControl.UrlBasedRepositoryEditor.cs:
	* gtk-gui/MonoDevelop.VersionControl.Dialogs.EditRepositoryDialog.cs:
	*
	  gtk-gui/MonoDevelop.VersionControl.Dialogs.SelectRepositoryDialog.cs:
	  Flush.

2009-02-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.VersionControl/ChangeSet.cs: Fix for Bug 469828
	  - SVN: the local path of the checkout directory get into
	  the log message.

2009-02-02  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.VersionControl/ChangeSet.cs:
	* MonoDevelop.VersionControl/CommitMessageStyle.cs:
	* MonoDevelop.VersionControl.Dialogs/CommitDialog.cs:
	* MonoDevelop.VersionControl/VersionControlService.cs: Fix
	  author info and commit message style defaults.

2009-02-01  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.VersionControl/ChangeLogWriter.cs:
	* MonoDevelop.VersionControl/CommitMessageFormat.cs: Add
	  mechanism for appending newlines to the message.

2009-01-30  Michael Hutchinson  <mhutchinson@novell.com>

	* VersionControl.addin.xml: Register policy panel as a default policy
	panel.

2009-01-29  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.VersionControl/ChangeSet.cs:
	* MonoDevelop.VersionControl/ChangeLogWriter.cs:
	* MonoDevelop.VersionControl.Dialogs/VersionControlPolicyPanel.cs:
	* MonoDevelop.VersionControl.Dialogs/CommitMessageStylePanelWidget.cs:
	Rename UserInformation to AuthorInformation, and change other strings
	correspondingly.

	* MonoDevelop.VersionControl.mdp: Updated.

2009-01-29  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* Policies.xml:
	* gtk-gui/gui.stetic:
	* gtk-gui/objects.xml:
	* gtk-gui/generated.cs:
	* VersionControl.addin.xml:
	* MonoDevelop.VersionControl.mdp:
	* MonoDevelop.VersionControl/ChangeSet.cs:
	* MonoDevelop.VersionControl/ChangeLogWriter.cs:
	* MonoDevelop.VersionControl/CommitMessageStyle.cs:
	* MonoDevelop.VersionControl/CommitMessageFormat.cs:
	* MonoDevelop.VersionControl/VersionControlPolicy.cs:
	* MonoDevelop.VersionControl.Dialogs/CommitDialog.cs:
	* MonoDevelop.VersionControl/VersionControlService.cs:
	* MonoDevelop.VersionControl.Dialogs/VersionControlPolicyPanel.cs:
	* MonoDevelop.VersionControl.Dialogs/CommitMessageStylePanelWidget.cs:
	* gtk-gui/MonoDevelop.VersionControl.CommitMessageStylePanelWidget.cs:
	Added version control policy, which allows setting the commit message
	style.

2009-01-27  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.VersionControl.Dialogs/CommitDialog.cs:
	* MonoDevelop.VersionControl/CommitDialogExtension.cs: Add a property
	for CommitDialogExtensions to disallow committing.

	* gtk-gui/gui.stetic: Updated.

2009-01-26  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.VersionControl.mdp: Flush project format changes.

2009-01-21  Michael Hutchinson  <mhutchinson@novell.com>

	* MonoDevelop.VersionControl/ChangeSet.cs: Use UserInformation API.

2009-01-07  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl/ChangeLogWriter.cs: If there are no
	changelog entries, generate an empty message (don't include the
	headers). Fixes bug #375668 - If no text is entered for any changed
	file, an entry with only name and e-mail is added to the ChangeLog.

2008-12-12  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.mdp: All projects now require fx 3.5.

2008-12-09  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.mdp: Don't require a specific version of
	Mono.Addins.

2008-12-05  Lluis Sanchez Gual  <lluis@novell.com>

	* VersionControl.addin.xml: Hide/protect add-ins.

2008-12-04  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am: Make it work for parallel build.

2008-12-02  Michael Hutchinson  <mhutchinson@novell.com>

	* Makefile.am:
	* AssemblyInfo.cs:
	* MonoDevelop.VersionControl.mdp: Add AssemblyInfo.cs files that are
	autogenerated from the addin manifests.

2008-11-14  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* MonoDevelop.VersionControl.Views/LogView.cs: Corrected strings.

	* MonoDevelop.VersionControl/RevertCommand.cs: Unset commit messages
	after reverting.

2008-11-14  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* MonoDevelop.VersionControl.Views/LogView.cs: Prevent commit message
	creation when user cancels.

2008-11-13  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* MonoDevelop.VersionControl.Views/LogView.cs: Improve
	Revert[to]revision feature, adding commit messages.

2008-11-13  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* MonoDevelop.VersionControl.Views/LogView.cs: Coding guidelines.

2008-11-05  Lluis Sanchez Gual  <lluis@novell.com>

	* VersionControl.addin.xml: Bump MD version.

2008-11-03  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl.Views/StatusView.cs: Don't crash when
	updating the status of deleted files (there isn't a VersionInfo for
	them after comitting). Fixes bug #437988 - NREs in version control
	addin after commit.

2008-10-31  Lluis Sanchez Gual  <lluis@novell.com>

	* MonoDevelop.VersionControl/Repository.cs:
	* MonoDevelop.VersionControl/VersionControlFileSystemExtension.cs: Use
	CanMoveFiles to check if a directory can be moved from one SVN dir to
	another SVN dir. Fixes bug #436289.

2008-10-22  Lluis Sanchez Gual  <lluis@novell.com>

	* Makefile.am:
	* VersionControl.addin.xml:
	* MonoDevelop.VersionControl.mdp:
	* MonoDevelop.VersionControl/Repository.cs:
	* MonoDevelop.VersionControl/LockCommand.cs:
	* MonoDevelop.VersionControl/CommitCommand.cs:
	* MonoDevelop.VersionControl/RevertCommand.cs:
	* MonoDevelop.VersionControl/UnlockCommand.cs:
	* MonoDevelop.VersionControl.Views/LogView.cs:
	* MonoDevelop.VersionControl/UpdateCommand.cs:
	* MonoDevelop.VersionControl.Views/DiffView.cs:
	* MonoDevelop.VersionControl.Views/StatusView.cs:
	* MonoDevelop.VersionControl/UnknownRepository.cs:
	* MonoDevelop.VersionControl/VersionControlItem.cs:
	* MonoDevelop.VersionControl/AddRemoveMoveCommand.cs:
	* MonoDevelop.VersionControl/VersionControlItemList.cs:
	* MonoDevelop.VersionControl/VersionControlNodeExtension.cs:
	* MonoDevelop.VersionControl/VersionControlCommandHandler.cs: Improved
	support for multiple selection in the project pad. Added new
	extension point for the status view context menu.

2008-10-13  Mike Krüger  <mkrueger@novell.com>

	* MonoDevelop.VersionControl/ChangeSet.cs: Commited patch from alan, to
	fix compilation issues with the public mono version.

2008-10-12  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* gtk-gui/gui.stetic:
	* gtk-gui/MonoDevelop.VersionControl.Dialogs.CommitDialog.cs: Correct a
	string (mhutch agrees).

2008-10-12  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* Makefile.am:
	* MonoDevelop.VersionControl.mdp:
	* MonoDevelop.VersionControl/ChangeSet.cs:
	* MonoDevelop.VersionControl.Views/StatusView.cs: Warn about very
	probable accidental commit situation.

2008-10-12  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* MonoDevelop.VersionControl/ChangeSet.cs:
	* MonoDevelop.VersionControl.Views/StatusView.cs:
	* MonoDevelop.VersionControl/VersionControlService.cs: Coding
	guidelines.

2008-10-12  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* MonoDevelop.VersionControl.Views/LogView.cs: Improve the control of
	what is selected: no sense to revert to *current* rev.

2008-10-12  Andrés G. Aragoneses  <aaragoneses@novell.com>

	* MonoDevelop.VersionControl.Views/LogView.cs: Coding guidelines.

2008-10-07  Aaron Bockover  <abockover@novell.com>

	* MonoDevelop.VersionControl/ChangeLogWriter.cs: Remove the space
	alignment from the tab indent on the ChangeLog message, preserve it
	for the commit message

2008-10-07  Aaron Bockover  <abockover@novell.com>

	* MonoDevelop.VersionControl/ChangeSet.cs: Updated to use
	  ChangeLogMessageStyle instead of the WriteHeader bool

	* MonoDevelop.VersionControl/ChangeLogWriter.cs: Omit files with
	  empty/unset messages from the ChangeLog by default; when the GUI
	  builder is working again I'll add a preference for this; if the
	  ChangeLog is empty, also insert some extra whitespace for easily
	  entering commit messages without applying to files; opted for
	  ChangeLogMessageStyle enum instead of a bool WriteHeader

2008-10-07  Aaron Bockover  <abockover@novell.com>

	* MonoDevelop.VersionControl/ChangeSet.cs: Use ChangeLogWriter to
	  generate messages instead of the old formatting

	* MonoDevelop.VersionControl/ChangeLogWriter.cs: Writes a standard
	  ChangeLog file with proper grouping, alignment, word wrapping, and
	  spacing; it can produce a commit message without indentation or
	  header as well

2008-09-18  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.VersionControl.Dialogs.SelectRepositoryDialog.cs,
	  gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.VersionControl.Dialogs.EditRepositoryDialog.cs,
	  gtk-gui/MonoDevelop.VersionControl.UrlBasedRepositoryEditor.cs,
	  gtk-gui/MonoDevelop.VersionControl.Dialogs.CommitDialog.cs,
	  gtk-gui/gui.stetic: Updated.
	* MonoDevelop.VersionControl/PublishCommand.cs: When publishing a
	  solution, use GetItemFiles to get all files to include in the
	  commit. Fixes bug #425339 - 'Publish' command should also check in
	  the .sln file.

2008-09-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/VersionControlNodeExtension.cs: Moved the
	  extensible tree view to its own directory.

2008-08-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Views/StatusView.cs,
	  MonoDevelop.VersionControl/Repository.cs,
	  MonoDevelop.VersionControl/VersionInfo.cs: Properly show the remote
	  status in the status view. Include remote additions and removals.
	  Show diff between working copy and repo when remote status is
	  requested. All this fixes bug #395284 - SVN plugin: Show Remote
	  Status does not work.

2008-08-21  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.VersionControl.Dialogs.SelectRepositoryDialog.cs,
	  gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.VersionControl.Dialogs.EditRepositoryDialog.cs,
	  gtk-gui/MonoDevelop.VersionControl.UrlBasedRepositoryEditor.cs,
	  gtk-gui/MonoDevelop.VersionControl.Dialogs.CommitDialog.cs,
	  gtk-gui/gui.stetic,
	  MonoDevelop.VersionControl/UrlBasedRepositoryEditor.cs: Fix bug
	  #395563 - SVN plugin: Repository Configuration dialog only fills in
	  port if arrow buttons pressed.

2008-08-20  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Views/StatusView.cs: Fix bug #401846 -
	  Caught exception closing VersionControl tab before it's done with
	  remote operation.

2008-08-20  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.mdp,
	  MonoDevelop.VersionControl.Views/Diffs.cs,
	  MonoDevelop.VersionControl.Views/Statuses.cs,
	  MonoDevelop.VersionControl.Views/LogView.cs,
	  MonoDevelop.VersionControl.Views/StatusView.cs,
	  MonoDevelop.VersionControl.Views/DiffView.cs,
	  MonoDevelop.VersionControl.Views/Logs.cs, Makefile.am,
	  MonoDevelop.VersionControl/UpdateCommand.cs,
	  MonoDevelop.VersionControl/Update.cs,
	  MonoDevelop.VersionControl/Checkout.cs,
	  MonoDevelop.VersionControl/PublishCommand.cs,
	  MonoDevelop.VersionControl/Publish.cs,
	  MonoDevelop.VersionControl/CheckoutCommand.cs: Renamed some files.
	* gtk-gui/gui.stetic: Updated.

2008-08-05  Lluis Sanchez Gual <lluis@novell.com> 

	* overlay_locked.png, overlay_unlocked.png,
	  MonoDevelop.VersionControl.mdp, VersionControl.addin.xml,
	  gtk-gui/objects.xml, gtk-gui/gui.stetic,
	  MonoDevelop.VersionControl.Views/Statuses.cs, Makefile.am,
	  MonoDevelop.VersionControl/Repository.cs,
	  MonoDevelop.VersionControl/CommitCommand.cs,
	  MonoDevelop.VersionControl/LockCommand.cs,
	  MonoDevelop.VersionControl/VersionStatus.cs,
	  MonoDevelop.VersionControl/VersionControlNodeExtension.cs,
	  MonoDevelop.VersionControl/UnlockCommand.cs,
	  MonoDevelop.VersionControl/Commands.cs,
	  MonoDevelop.VersionControl/VersionInfo.cs,
	  MonoDevelop.VersionControl/Task.cs,
	  MonoDevelop.VersionControl/VersionControlService.cs,
	  overlay_lock_required.png: Add support for locking/unlocking, and
	  for on-demand unlocking (RequestFileEdit event).

2008-07-29  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.VersionControl/Update.cs,
	  MonoDevelop.VersionControl/RevertRevisionsCommands.cs,
	  MonoDevelop.VersionControl/AddRemoveMoveCommand.cs,
	  MonoDevelop.VersionControl/RevertCommand.cs: Translated old code to
	  new dom.

2008-07-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/Repository.cs,
	  MonoDevelop.VersionControl/UnknownRepository.cs,
	  MonoDevelop.VersionControl/UrlBasedRepository.cs,
	  MonoDevelop.VersionControl/VersionControlConfiguration.cs,
	  MonoDevelop.VersionControl/VersionControlService.cs: Moved
	  serialization engine to MonoDevelop.Core. Use new syntax for
	  specifying attribute scope.

2008-07-06  Andrés G. Aragoneses <aaragoneses@novell.com> 

	Implement feature in bug#394434: "Revert [to] revision".
	* MonoDevelop.VersionControl.mdp, Makefile.am: Add the new file
	  RevertRevisionsCommands.
	* MonoDevelop.VersionControl.Views/Logs.cs: Adding the new buttons to
	  the Log view.
	* MonoDevelop.VersionControl/Repository.cs: New abstract methods
	  Revert[To]Revision.
	* MonoDevelop.VersionControl/RevertRevisionsCommands.cs: Add new file.
	* MonoDevelop.VersionControl/UnknownRepository.cs: Empty
	  implementations for Revert[To]Revision.

2008-06-04  Lluis Sanchez Gual <lluis@novell.com> 

	* VersionControl.addin.xml: Bump MD version.

2008-06-03  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Dialogs/CommitDialog.cs: Use the
	  OnDestroyed event instead of Dispose, since with the latest changes
	  in gtk#, Dispose is not called anymore when a widget is destroyed.

2008-05-29  Lluis Sanchez Gual <lluis@novell.com> 

	* VersionControl.addin.xml: Set a better label for the Status/Commit
	  command.
	* MonoDevelop.VersionControl/VersionControlService.cs: When adding the
	  files of a project, add subfolders when needed. Fixes bug 393190 -
	  Exception when creating new Gtk#/Stetic project if under version
	  control.

2008-05-22  Lluis Sanchez Gual <lluis@novell.com> 

	* VersionControl.addin.xml: Added version control menu to workspace
	  context menu.

2008-05-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.mdp, VersionControl.addin.xml,
	  Makefile.am,
	  MonoDevelop.VersionControl/VersionControlFileSystemExtension.cs,
	  MonoDevelop.VersionControl/VersionControlNodeExtension.cs,
	  MonoDevelop.VersionControl/Checkout.cs,
	  MonoDevelop.VersionControl/Publish.cs,
	  MonoDevelop.VersionControl/VersionControlService.cs: New project
	  model changes.

2008-05-15  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/gui.stetic: Set correct target version.

2008-04-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.mdp: Removed unneeded reference.

2008-03-07  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/generated.cs,
	  gtk-gui/MonoDevelop.VersionControl.Dialogs.CommitDialog.cs,
	  gtk-gui/gui.stetic: Use commit icon in the ok button of the commit
	  dialog.
	* MonoDevelop.VersionControl/Publish.cs: Improved message dialog.

2008-03-04  Mike Krüger <mkrueger@novell.com> 

	

2008-03-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.VersionControl/Update.cs,
	  MonoDevelop.VersionControl/CommitCommand.cs,
	  MonoDevelop.VersionControl/AddRemoveMoveCommand.cs,
	  MonoDevelop.VersionControl/Task.cs,
	  MonoDevelop.VersionControl/Checkout.cs,
	  MonoDevelop.VersionControl/Publish.cs: Added some getstring calls

2008-03-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.VersionControl/RevertCommand.cs: Added secondary text to the
	  revert dialog.

2008-03-04  Mike Krüger <mkrueger@novell.com> 

	* VersionControl.addin.xml: Changed file menu for hig.

2008-03-04  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.VersionControl.Dialogs/CommitDialog.cs,
	  MonoDevelop.VersionControl.Views/Statuses.cs,
	  MonoDevelop.VersionControl.Views/Logs.cs,
	  MonoDevelop.VersionControl/CommitCommand.cs,
	  MonoDevelop.VersionControl/VersionControlNodeExtension.cs,
	  MonoDevelop.VersionControl/RevertCommand.cs,
	  MonoDevelop.VersionControl/Publish.cs,
	  MonoDevelop.VersionControl/VersionControlService.cs: Worked on gnome hig
	  compliant alerts.

2008-02-29  Mike Krüger <mkrueger@novell.com> 

	* VersionControl.addin.xml: Added many shortcuts.

2008-02-27  Mike Krüger <mkrueger@novell.com> 

	* MonoDevelop.VersionControl.Views/Statuses.cs: Added some gettext calls.

2008-02-27  Mike Krüger <mkrueger@novell.com> 

	* gtk-gui/gui.stetic: Refactored status bar.

2008-02-25  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Dialogs/EditRepositoryDialog.cs: Don't
	  disable the name entry when creating a new repo. Fixes bug #363858.

2008-02-05  Mike Krüger <mkrueger@novell.com> 

	* VersionControl.addin.xml: Changed main menu items.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* VersionControl.addin.xml: Update MD version.

2008-01-25  Lluis Sanchez Gual <lluis@novell.com> 

	* gtk-gui/MonoDevelop.VersionControl.Dialogs.SelectRepositoryDialog.cs:
	  Flush.

2008-01-24  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/AddRemoveMoveCommand.cs:
	  NotifyFileStatusChanged is now gui thread safe, so no need to invoke it
	  through Gtk.Application.Invoke.

2008-01-22  Lluis Sanchez Gual <lluis@novell.com> 

	* VersionControl.addin.xml: Updated add-in category and description.

2008-01-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/VersionControlService.cs: Make sure file status
	  change events are always fired in the gui thread.

2008-01-21  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/RevertCommand.cs: Notify file changes through
	  the FileService.

2008-01-16  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Views/Statuses.cs: Removed colorize method. Not
	  needed anymore.
	* MonoDevelop.VersionControl.Views/CellRendererDiff.cs: Changed the way
	  diffs are rendered. Instead of having a big pango layout with all text,
	  now we render text line by line, skipping lines which are not visible.
	  Coloring is done changing the GC, instead of using markup. Fixes bug
	  #353705 and improves performance.

2008-01-09  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/Checkout.cs,
	  MonoDevelop.VersionControl/Publish.cs,
	  MonoDevelop.VersionControl/VersionControlService.cs: If there isn't any
	  supported version control system installed, show a message saying that,
	  instead of showing a Select Repository dialog with an empty combo. Fixes
	  bug #344841.
	* MonoDevelop.VersionControl.Dialogs/EditRepositoryDialog.cs: Select the
	  first vcs type by default.

2008-01-07  Andreia Gaita <avidigal@novell.com>

	* MonoDevelop.VersionControl.Views/Diffs.cs: Change the diff algorithm
	call to have case-sensitive diffs.

2007-12-14  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.mdp: Updated project files. The order of
	  extended properties won't change anymore.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Views/Diffs.cs,
	  MonoDevelop.VersionControl.Views/CellRendererDiff.cs,
	  MonoDevelop.VersionControl.Views/Logs.cs: Moved PlatformService to
	  MD.Core.Gui. Removed old FileIconService class, which is now implemented
	  in PlatformService.

2007-12-13  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.mdp,
	  MonoDevelop.VersionControl.Dialogs/SelectRepositoryDialog.cs,
	  MonoDevelop.VersionControl.Dialogs/EditRepositoryDialog.cs,
	  MonoDevelop.VersionControl.Dialogs/CommitDialog.cs,
	  gtk-gui/MonoDevelop.VersionControl.Dialogs.SelectRepositoryDialog.cs,
	  gtk-gui/MonoDevelop.VersionControl.Dialogs.EditRepositoryDialog.cs,
	  gtk-gui/MonoDevelop.VersionControl.Dialogs.CommitDialog.cs,
	  gtk-gui/gui.stetic, MonoDevelop.VersionControl.Views/Diffs.cs,
	  MonoDevelop.VersionControl.Views/Statuses.cs,
	  MonoDevelop.VersionControl.Views/Logs.cs, Makefile.am,
	  MonoDevelop.VersionControl/Update.cs,
	  MonoDevelop.VersionControl/CommitCommand.cs,
	  MonoDevelop.VersionControl/VersionControlFileSystemExtension.cs,
	  MonoDevelop.VersionControl/VersionControlNodeExtension.cs,
	  MonoDevelop.VersionControl/VersionControlSystem.cs,
	  MonoDevelop.VersionControl/AddRemoveMoveCommand.cs,
	  MonoDevelop.VersionControl/VersionControlProjectService.cs,
	  MonoDevelop.VersionControl/ChangeSet.cs,
	  MonoDevelop.VersionControl/Task.cs,
	  MonoDevelop.VersionControl/Checkout.cs,
	  MonoDevelop.VersionControl/BaseView.cs,
	  MonoDevelop.VersionControl/RevertCommand.cs,
	  MonoDevelop.VersionControl/Publish.cs,
	  MonoDevelop.VersionControl/VersionControlService.cs: API cleanup.

2007-12-12  Lluis Sanchez Gual <lluis@novell.com> 

	* VersionControl.addin.xml: Bump add-in versions.

2007-12-11  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/VersionControlService.cs: Check if Subversion
	  is installed in a nicer way. Fixes bug #342507.

2007-12-06  Geoff Norton  <gnorton@novell.com>

	* MonoDevelop.VersionControl.Views/CellRendererDiff.cs:
	* MonoDevelop.VersionControl.Views/Diffs.cs:
	* MonoDevelop.VersionControl.Views/Logs.cs: Use the PlatformService to get
	  font and mime information instead of GConf / Gnome.Vfs directly

2007-12-04  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.mdp, VersionControl.addin.xml, Makefile.am:
	  Directory reorganization.

2007-12-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/VersionControlProjectService.cs: Save comments
	  in a background thread and only after a small delay (avoids saving too
	  often). Should fix bug #324986.

2007-12-01  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/Repository.cs,
	  MonoDevelop.VersionControl/VersionControlFileSystemExtension.cs,
	  MonoDevelop.VersionControl/UrlBasedRepository.cs: In some cases it may
	  be possible to natively move files between two repositories (e.g. if
	  they are in the same server). Added a virtual method to check that and
	  implemented it for SVN.
	* MonoDevelop.VersionControl/VersionControlNodeExtension.cs: Add support for
	  version control commands for all kinds of combine entries, not only
	  Project and Combine.

2007-11-13  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl.Views/Logs.cs: Don't disable the view if
	  version info is not found for the file/folder. Just hide the buttons.
	  Fixes bug #324953.

2007-11-09  Michael Hutchinson <mhutchinson@novell.com> 

	* MonoDevelop.VersionControl.Dialogs/SelectRepositoryDialog.cs,
	  MonoDevelop.VersionControl.Views/Statuses.cs,
	  MonoDevelop.VersionControl/CommitCommand.cs,
	  MonoDevelop.VersionControl/VersionControlNodeExtension.cs,
	  MonoDevelop.VersionControl/VersionControlProjectService.cs,
	  MonoDevelop.VersionControl/RevertCommand.cs: Track LoggingService API
	  changes.

2007-11-02  Lluis Sanchez Gual <lluis@novell.com> 

	* MonoDevelop.VersionControl/Publish.cs: Use RootCombine instead of
	  CurrentOpenCombine when possible.

